/* ------------------------------------------------------- Wellcome ------------------------------------------------- */

p {
  font-size: 18px;
}

.btn {
  background-color: var(--secondary-background-color);
  color: var(--secondary-text-color);
  padding: 10px 15px;
  font-size: 16px;
  border-radius: 8px;
  border: 0;
  transition: 0.4s;
}

.btn:hover {
  cursor: pointer;
  transform: translateY(-5px);
}

#wellcome {
  display: flex;
  align-items: center;
  padding: 27px 80px;

  div {
    width: 50%;
  }
}

.imgWellcome {
  display: flex;
  justify-content: center;
}

.wellcomeTitle {
  font-size: 28px;
}

.wellcomeText {
  margin-bottom: 15px;
}

/* --------------------------------------------------- About the Project ----------------------------------------------- */
#aboutTheProject {
  padding: 27px 80px;
}

.aboutInfos {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.aboutTheProjectTitle {
  font-size: 28px;
  text-align: center;
  margin-bottom: 10px;
}

.aboutTheProjectText {
  margin-bottom: 20px;
}

.lastText {
  margin-bottom: 15px;
}

/* ------------------------------------------------------ Suggestion ------------------------------------------------- */

#suggestion {
  display: flex;
  align-items: center;
  padding: 27px 80px;

  div {
    width: 50%;
  }
}

.suggestionTitle {
  font-size: 26px;
}

.suggestionText {
  margin-bottom: 15px;
}

/* -------------------------------------------- Responsividade --------------------------------------------------------- */

/* ------------------------------- 1024px -------------------- */

@media (max-width: 1024px) {
  /* Wellcome */
  #wellcome {
    flex-direction: column;
    gap: 5px;
    padding: 60px 80px;

    div {
      width: 100%;
    }
  }

  /* Suggestion */
  #suggestion {
    padding: 60px 80px;

    div {
      width: 100%;
      img {
        width: 400px;
      }
    }
  }
}

/* ---------------------------------- 900px ---------------------- */

@media (max-width: 900px) {
  /* Wellcome */
  #wellcome {
    padding: 27px 50px;
  }

  .wellcomeTitle,
  .aboutTheProjectTitle,
  .suggestionTitle {
    font-size: 24px;
  }

  p {
    font-size: 16px;
  }

  /* ATP */
  #aboutTheProject {
    padding: 0px 50px;
  }

  /* Suggestion */
  #suggestion {
    padding: 27px 50px;
    flex-direction: column;

    .suggestionImg {
      width: 50%;

      img {
        width: 400px;
      }
    }
  }
}

/* ------------------------------ 430px ------------------------- */

@media (max-width: 450px) {
  /* WELLCOME */
  #wellcome {
    padding: 20px 20px;
  }

  .wellcomeTitle {
    font-size: 20px;
  }

  .btn {
    font-size: 14px;
  }

  .imgWellcome {
    padding-top: 27px;

    img {
      width: 250px;
    }
  }

  /* About the Project */
  #aboutTheProject {
    padding: 0px 20px;
  }

  .aboutTheProjectTitle {
    font-size: 20px;
    text-align: left;
  }

  /* Suggestion */
  #suggestion {
    padding: 20px 20px 27px 20px;
  }

  .suggestionTitle {
    font-size: 20px;
  }

  .suggestionImg {
    display: none;
  }
}
